## r-cran-projpred 1.1.5

=== DESCRIPTION ===
Package: projpred
Title: Projection Predictive Feature Selection
Version: 1.1.5
Authors@R: c(person("Juho", "Piironen", role = c("cre", "aut"), email = "juho.t.piironen@gmail.com"),
             person("Markus", "Paasiniemi", role = "aut"),
             person("Aki", "Vehtari", role = "aut"),
             person("Jonah", "Gabry", role = "ctb"),
             person("Paul-Christian", "Bürkner", role = "ctb"),
			 person("Marco", "Colombo", role = "ctb"))
Maintainer: Juho Piironen <juho.t.piironen@gmail.com>
Description: 
    Performs projection predictive feature selection for generalized linear models
    (see, Piironen, Paasiniemi and Vehtari, 2018, <arXiv:1810.02406>).
    The package is compatible with the 'rstanarm' and 'brms' packages, but other 
    reference models can also be used. See the package vignette for more 
    information and examples.
Depends: R (>= 3.5.0)
Imports: loo (>= 2.0.0), ggplot2, Rcpp, utils
LinkingTo: Rcpp, RcppArmadillo
License: GPL-3
Encoding: UTF-8
LazyData: TRUE
RoxygenNote: 7.0.2
Suggests: rstanarm, brms, testthat, knitr, rmarkdown, glmnet, bayesplot
        (>= 1.5.0)
URL: https://mc-stan.org/projpred, https://discourse.mc-stan.org/
BugReports: https://github.com/stan-dev/projpred/issues
NeedsCompilation: yes
Packaged: 2020-01-29 17:35:31 UTC; juho
Author: Juho Piironen [cre, aut],
  Markus Paasiniemi [aut],
  Aki Vehtari [aut],
  Jonah Gabry [ctb],
  Paul-Christian Bürkner [ctb],
  Marco Colombo [ctb]
Repository: CRAN
Date/Publication: 2020-01-30 10:10:02 UTC

## r-cran-projpred 1.1.4

=== debian/changelog ===
r-cran-projpred (1.1.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.4.1
  * Trim trailing whitespace.

 -- Dylan Aïssi <daissi@debian.org>  Wed, 30 Oct 2019 10:54:34 +0100

r-cran-projpred (1.1.2-1) unstable; urgency=medium

  * Initial release (closes: #940592)

 -- Andreas Tille <tille@debian.org>  Tue, 17 Sep 2019 17:17:31 +0200

=== debian/control ===
Source: r-cran-projpred
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-r,
               r-base-dev,
               r-cran-loo,
               r-cran-ggplot2,
               r-cran-rcpp,
               r-cran-rcpparmadillo
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-projpred
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-projpred.git
Homepage: https://cran.r-project.org/package=projpred

Package: r-cran-projpred
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R projection predictive feature selection
 Performs projection predictive feature selection for generalized linear models
 (see, Piironen, Paasiniemi and Vehtari, 2018, <arXiv:1810.02406>).
 The package is compatible with the 'rstanarm' and 'brms' packages, but other
 reference models can also be used. See the package vignette for more
 information and examples.

## r-cran-projpred 1.1.5

=== debian/changelog ===
r-cran-projpred (1.1.5-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Wed, 19 Feb 2020 20:45:34 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                r-cran-ggplot2,
                r-cran-rcpp,
                r-cran-rcpparmadillo
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-projpred
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-projpred.git
 Homepage: https://cran.r-project.org/package=projpred

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-rstanarm, r-cran-glmnet
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/projpred_([-\d.]*)\.tar\.gz

## r-cran-projpred 1.1.6

=== debian/changelog ===
r-cran-projpred (1.1.6-1build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 May 2020 06:22:00 +0000

r-cran-projpred (1.1.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Sun, 05 Apr 2020 17:45:56 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: r-cran-projpred
-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
@@ -15,6 +16,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-projpred
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-projpred.git
 Homepage: https://cran.r-project.org/package=projpred
+Rules-Requires-Root: no
 
 Package: r-cran-projpred
 Architecture: any

## r-cran-projpred 2.0.2%2Bdfsg

=== DESCRIPTION ===
Encoding: UTF-8
Package: projpred
Title: Projection Predictive Feature Selection
Version: 2.0.2
Authors@R: c(person("Juho", "Piironen", role = c("aut"), email = "juho.t.piironen@gmail.com"),
             person("Markus", "Paasiniemi", role = "aut"),
             person("Alejandro", "Catalina", role = c("cre", "aut"), email="alecatfel@gmail.com"),
             person("Aki", "Vehtari", role = "aut"),
             person("Jonah", "Gabry", role = "ctb"),
             person("Marco", "Colombo", role = "ctb"),
             person("Paul-Christian", "Bürkner", role = "ctb"))
Maintainer: Alejandro Catalina <alecatfel@gmail.com>
Description: 
    Performs projection predictive feature selection for generalized linear
    models and generalized linear and additive multilevel models
    (see, Piironen, Paasiniemi and Vehtari, 2020, <https://projecteuclid.org/euclid.ejs/1589335310>,
    Catalina, Bürkner and Vehtari, 2020, <arXiv:2010.06994>).
    The package is compatible with the 'rstanarm' and 'brms' packages, but other
    reference models can also be used. See the package vignette for more
    information and examples.
Depends: R (>= 3.5.0)
Imports: methods, dplyr, loo (>= 2.0.0), rstantools (>= 2.0.0), lme4,
        optimx, ggplot2, Rcpp, utils, rngtools (>= 1.2.4), tidyverse,
        MASS, magrittr, mgcv, gamm4
LinkingTo: Rcpp, RcppArmadillo
License: GPL-3
LazyData: TRUE
RoxygenNote: 7.1.1
Suggests: rstanarm, brms, testthat, knitr, rmarkdown, glmnet, bayesplot
        (>= 1.5.0)
VignetteBuilder: knitr
URL: https://mc-stan.org/projpred/, https://discourse.mc-stan.org
BugReports: https://github.com/stan-dev/projpred/issues/
NeedsCompilation: yes
Packaged: 2020-10-27 15:25:44 UTC; alex
Author: Juho Piironen [aut],
  Markus Paasiniemi [aut],
  Alejandro Catalina [cre, aut],
  Aki Vehtari [aut],
  Jonah Gabry [ctb],
  Marco Colombo [ctb],
  Paul-Christian Bürkner [ctb]
Repository: CRAN
Date/Publication: 2020-10-28 12:50:02 UTC

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, 
            r-cran-brms,
            r-cran-testthat,
            r-cran-knitr,
            r-cran-rmarkdown,
            r-cran-glmnet,
            r-cran-bayesplot (>= 1.5.0)
Restrictions: allow-stderr

# Do not Test-Depend rstanarm due to #963392
# r-cran-rstanarm

## r-cran-projpred 2.0.2+dfsg

=== debian/changelog ===
r-cran-projpred (2.0.2+dfsg-1) unstable; urgency=medium

  * Remove hack for autopkgtest
  * New upstream version
  * debhelper-compat 13 (routine-update)
  * New Build-Depends
  * Remove autogenerated HTML docs since it is including compressed JS
  * Remove r-cran-rstanarm from Test-Depends since this package is
    flaky (see #963392), add more Test-Depends in sync with suggests

 -- Andreas Tille <tille@debian.org>  Fri, 20 Nov 2020 11:24:05 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,26 @@
 Source: r-cran-projpred
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-loo,
+               r-cran-dplyr,
+               r-cran-loo (>= 2.0.0),
+               r-cran-rstantools (>= 2.0.0),
+               r-cran-lme4,
                r-cran-ggplot2,
                r-cran-rcpp,
-               r-cran-rcpparmadillo
+               r-cran-rngtools (>= 1.2.4),
+               r-cran-tidyverse,
+               r-cran-mass,
+               r-cran-magrittr,
+               r-cran-mgcv,
+               r-cran-gamm4,
+               r-cran-rcpparmadillo,
+               r-cran-optimx
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-projpred
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-projpred.git

## r-cran-projpred 2.1.2+dfsg

=== debian/changelog ===
r-cran-projpred (2.1.2+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Fix permissions
  * Test-Depends: r-cran-rstanarm

 -- Andreas Tille <tille@debian.org>  Wed, 18 May 2022 12:02:42 +0200

=== debian/control ===
--- 
+++ 
@@ -8,20 +8,18 @@
                dh-r,
                r-base-dev,
                r-cran-dplyr,
-               r-cran-loo (>= 2.0.0),
+               r-cran-loo,
                r-cran-rstantools (>= 2.0.0),
                r-cran-lme4,
+               r-cran-mvtnorm,
                r-cran-ggplot2,
                r-cran-rcpp,
-               r-cran-rngtools (>= 1.2.4),
-               r-cran-tidyverse,
-               r-cran-mass,
                r-cran-magrittr,
                r-cran-mgcv,
                r-cran-gamm4,
-               r-cran-rcpparmadillo,
-               r-cran-optimx
-Standards-Version: 4.5.0
+               r-cran-rlang,
+               r-cran-rcpparmadillo
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-projpred
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-projpred.git
 Homepage: https://cran.r-project.org/package=projpred

=== debian/tests/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
             r-cran-knitr,
             r-cran-rmarkdown,
             r-cran-glmnet,
-            r-cran-bayesplot (>= 1.5.0)
+            r-cran-bayesplot (>= 1.5.0),
+            r-cran-rstanarm
 Restrictions: allow-stderr
 
 # Do not Test-Depend rstanarm due to #963392

## r-cran-projpred 2.3.0+dfsg

=== DESCRIPTION ===
Package: projpred
Encoding: UTF-8
Title: Projection Predictive Feature Selection
Version: 2.3.0
Date: 2023-01-10
Authors@R: c(person("Juho", "Piironen", role = c("aut"),
                    email = "juho.t.piironen@gmail.com"),
             person("Markus", "Paasiniemi", role = "aut"),
             person("Alejandro", "Catalina", role = "aut",
                    email = "alecatfel@gmail.com"),
             person("Frank", "Weber", role = c("cre", "aut"),
                    email = "fweber144@protonmail.com"),
             person("Aki", "Vehtari", role = "aut"),
             person("Jonah", "Gabry", role = "ctb"),
             person("Marco", "Colombo", role = "ctb"),
             person("Paul-Christian", "Bürkner", role = "ctb"),
             person("Hamada S.", "Badr", role = "ctb"),
             person("Brian", "Sullivan", role = "ctb"),
             person("Sölvi", "Rögnvaldsson", role = "ctb"))
Description: 
    Performs projection predictive feature selection for generalized linear and
    additive models as well as for generalized linear and additive multilevel
    models (see Piironen, Paasiniemi and Vehtari, 2020,
    <doi:10.1214/20-EJS1711>; Catalina, Bürkner and Vehtari, 2022,
    <https://proceedings.mlr.press/v151/catalina22a.html>). The package is
    compatible with the 'rstanarm' and 'brms' packages, but other reference
    models can also be used. See the documentation as well as the package
    vignette for more information and examples.
License: GPL-3 | file LICENSE
URL: https://mc-stan.org/projpred/, https://discourse.mc-stan.org
BugReports: https://github.com/stan-dev/projpred/issues/
Depends: R (>= 3.5.0)
Imports: methods, dplyr, loo (>= 2.0.0), rstantools (>= 2.0.0), lme4,
        mvtnorm, ggplot2, Rcpp, utils, magrittr, mgcv, gamm4, MASS,
        rlang
Suggests: rstanarm, brms, testthat, knitr, rmarkdown, glmnet, cmdstanr,
        bayesplot (>= 1.5.0), nlme, optimx, posterior, parallel,
        foreach, iterators, doParallel, future, future.callr, doFuture
LinkingTo: Rcpp, RcppArmadillo
Additional_repositories: https://mc-stan.org/r-packages/
LazyData: TRUE
RoxygenNote: 7.2.3
VignetteBuilder: knitr, rmarkdown
NeedsCompilation: yes
Packaged: 2023-01-10 14:03:21 UTC; frank
Author: Juho Piironen [aut],
  Markus Paasiniemi [aut],
  Alejandro Catalina [aut],
  Frank Weber [cre, aut],
  Aki Vehtari [aut],
  Jonah Gabry [ctb],
  Marco Colombo [ctb],
  Paul-Christian Bürkner [ctb],
  Hamada S. Badr [ctb],
  Brian Sullivan [ctb],
  Sölvi Rögnvaldsson [ctb]
Maintainer: Frank Weber <fweber144@protonmail.com>
Repository: CRAN
Date/Publication: 2023-01-10 15:00:03 UTC

=== debian/changelog ===
r-cran-projpred (2.3.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 16 Jan 2023 15:19:14 +0100

r-cran-projpred (2.2.2+dfsg-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 15 Nov 2022 12:06:51 +0100

r-cran-projpred (2.2.1+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 26 Sep 2022 15:03:57 +0200

r-cran-projpred (2.2.0+dfsg-1) unstable; urgency=medium

  * Team Upload.
  [ Andreas Tille ]
  * Disable reprotest
  * New upstream version
  * Update Test-Depends to Suggests from DESCRIPTION

  [ Nilesh Patra ]
  * Add versioned test dep in rstanarm

 -- Nilesh Patra <nilesh@debian.org>  Mon, 12 Sep 2022 19:07:38 +0530

=== debian/control ===
--- 
+++ 
@@ -17,9 +17,10 @@
                r-cran-magrittr,
                r-cran-mgcv,
                r-cran-gamm4,
+               r-cran-mass,
                r-cran-rlang,
                r-cran-rcpparmadillo
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-projpred
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-projpred.git
 Homepage: https://cran.r-project.org/package=projpred

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, 
            r-cran-rstanarm (>= 2.21.3-2~),
            r-cran-brms,
            r-cran-testthat,
            r-cran-knitr,
            r-cran-rmarkdown,
            r-cran-glmnet,
#            r-cran-cmdstanr,
            r-cran-bayesplot (>= 1.5.0),
            r-cran-optimx,
            r-cran-posterior,
#            r-cran-parallel,
            r-cran-foreach,
            r-cran-iterators,
            r-cran-doparallel,
            r-cran-future,
#            r-cran-future.callr,
#            r-cran-doFuture
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
https://cloud.r-project.org/src/contrib/projpred_([-\d.]*)\.tar\.gz

## r-cran-projpred 2.6.0+dfsg

=== debian/changelog ===
r-cran-projpred (2.6.0+dfsg-2) unstable; urgency=medium

  * Rebuild with r-graphics-engine set by r-base
    Closes: #1039688 

 -- Andreas Tille <tille@debian.org>  Thu, 06 Jul 2023 14:01:27 +0200

r-cran-projpred (2.6.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)
  * Depends: mclogit

 -- Andreas Tille <tille@debian.org>  Wed, 21 Jun 2023 09:29:45 +0200

=== debian/control ===
--- 
+++ 
@@ -7,18 +7,20 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-dplyr,
+               r-cran-rcpp,
+               r-cran-ggplot2,
+               r-cran-scales,
+               r-cran-rstantools,
                r-cran-loo,
-               r-cran-rstantools (>= 2.0.0),
                r-cran-lme4,
                r-cran-mvtnorm,
-               r-cran-ggplot2,
-               r-cran-rcpp,
-               r-cran-magrittr,
                r-cran-mgcv,
                r-cran-gamm4,
+               r-cran-abind,
                r-cran-mass,
-               r-cran-rlang,
+               r-cran-ordinal,
+               r-cran-nnet,
+               r-cran-mclogit,
                r-cran-rcpparmadillo
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-projpred

## r-cran-projpred 2.8.0+dfsg

=== DESCRIPTION ===
Package: projpred
Encoding: UTF-8
Title: Projection Predictive Feature Selection
Version: 2.8.0
Date: 2023-12-14
Authors@R: c(person("Juho", "Piironen", role = c("aut"),
                    email = "juho.t.piironen@gmail.com"),
             person("Markus", "Paasiniemi", role = "aut"),
             person("Alejandro", "Catalina", role = "aut",
                    email = "alecatfel@gmail.com"),
             person("Frank", "Weber", role = c("cre", "aut"),
                    email = "fweber144@protonmail.com"),
             person("Aki", "Vehtari", role = "aut"),
             person("Jonah", "Gabry", role = "ctb"),
             person("Marco", "Colombo", role = "ctb"),
             person("Paul-Christian", "Bürkner", role = "ctb"),
             person("Hamada S.", "Badr", role = "ctb"),
             person("Brian", "Sullivan", role = "ctb"),
             person("Sölvi", "Rögnvaldsson", role = "ctb"),
             person(family = "The LME4 Authors", role = "cph",
                    comment = "see file 'LICENSE' for details"),
             person("Yann", "McLatchie", role = "ctb"),
             person("Juho", "Timonen", role = "ctb"))
Description: 
    Performs projection predictive feature selection for generalized linear
    models (Piironen, Paasiniemi, and Vehtari, 2020, <doi:10.1214/20-EJS1711>)
    with or without multilevel or additive terms (Catalina, Bürkner, and
    Vehtari, 2022, <https://proceedings.mlr.press/v151/catalina22a.html>), for
    some ordinal and nominal regression models (Weber, Glass, and Vehtari, 2023,
    <arXiv:2301.01660>), and for many other regression models (using the latent
    projection by Catalina, Bürkner, and Vehtari, 2021, <arXiv:2109.04702>,
    which can also be applied to most of the former models). The package is
    compatible with the 'rstanarm' and 'brms' packages, but other reference
    models can also be used. See the vignettes and the documentation for more
    information and examples.
License: GPL-3 | file LICENSE
URL: https://mc-stan.org/projpred/, https://discourse.mc-stan.org
BugReports: https://github.com/stan-dev/projpred/issues/
Depends: R (>= 3.6.0)
Imports: methods, utils, Rcpp, gtools, ggplot2, scales, rstantools (>=
        2.0.0), loo (>= 2.0.0), lme4 (>= 1.1-28), mvtnorm, mgcv, gamm4,
        abind, MASS, ordinal, nnet, mclogit
Suggests: ggrepel, rstanarm, brms, nlme, optimx, ucminf, parallel,
        foreach, iterators, doRNG, unix, testthat, vdiffr, knitr,
        rmarkdown, glmnet, cmdstanr, rlang, bayesplot (>= 1.5.0),
        posterior, doParallel, future, future.callr, doFuture
LinkingTo: Rcpp, RcppArmadillo
Additional_repositories: https://mc-stan.org/r-packages/
LazyData: TRUE
RoxygenNote: 7.2.3
VignetteBuilder: knitr, rmarkdown
NeedsCompilation: yes
Packaged: 2023-12-14 16:47:45 UTC; frank
Author: Juho Piironen [aut],
  Markus Paasiniemi [aut],
  Alejandro Catalina [aut],
  Frank Weber [cre, aut],
  Aki Vehtari [aut],
  Jonah Gabry [ctb],
  Marco Colombo [ctb],
  Paul-Christian Bürkner [ctb],
  Hamada S. Badr [ctb],
  Brian Sullivan [ctb],
  Sölvi Rögnvaldsson [ctb],
  The LME4 Authors [cph] (see file 'LICENSE' for details),
  Yann McLatchie [ctb],
  Juho Timonen [ctb]
Maintainer: Frank Weber <fweber144@protonmail.com>
Repository: CRAN
Date/Publication: 2023-12-15 00:00:02 UTC

=== debian/changelog ===
r-cran-projpred (2.8.0+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 09 Jan 2024 08:27:44 +0100

r-cran-projpred (2.7.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 16 Oct 2023 07:50:32 +0200

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
                dh-r,
                r-base-dev,
                r-cran-rcpp,
+               r-cran-gtools,
                r-cran-ggplot2,
                r-cran-scales,
                r-cran-rstantools,

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-ggrepel,
        r-cran-rstanarm,
        r-cran-brms,
        r-cran-nlme,
        r-cran-optimx,
        r-cran-ucminf,
        r-cran-foreach,
        r-cran-iterators,
        r-cran-dorng,
        r-cran-testthat,
        r-cran-vdiffr,
        r-cran-knitr,
        r-cran-rmarkdown,
        r-cran-glmnet,
        r-cran-rlang,
        r-cran-bayesplot (>= 1.5.0),
        r-cran-posterior,
        r-cran-doparallel,
        r-cran-future
Restrictions: allow-stderr

## r-cran-projpred 2.10.0+dfsg

=== DESCRIPTION ===
Package: projpred
Encoding: UTF-8
Title: Projection Predictive Feature Selection
Version: 2.10.0
Date: 2025-12-05
Authors@R: c(person("Juho", "Piironen", role = c("aut"),
                    email = "juho.t.piironen@gmail.com"),
             person("Markus", "Paasiniemi", role = "aut"),
             person("Alejandro", "Catalina", role = "aut",
                    email = "alecatfel@gmail.com"),
             person("Frank", "Weber", role = "aut"),
             person("Osvaldo", "Martin", role = c("cre", "aut"),
                    email = "aloctavodia@gmail.com"),
             person("Aki", "Vehtari", role = "aut"),
             person("Jonah", "Gabry", role = "ctb"),
             person("Marco", "Colombo", role = "ctb"),
             person("Paul-Christian", "Bürkner", role = "ctb"),
             person("Hamada S.", "Badr", role = "ctb"),
             person("Brian", "Sullivan", role = "ctb"),
             person("Sölvi", "Rögnvaldsson", role = "ctb"),
             person(family = "The LME4 Authors", role = "cph",
                    comment = "see file 'LICENSE' for details"),
             person("Yann", "McLatchie", role = "ctb"),
             person("Juho", "Timonen", role = "ctb"))
Description: 
    Performs projection predictive feature selection for generalized linear
    models (Piironen, Paasiniemi, and Vehtari, 2020, <doi:10.1214/20-EJS1711>)
    with or without multilevel or additive terms (Catalina, Bürkner, and
    Vehtari, 2022, <https://proceedings.mlr.press/v151/catalina22a.html>), for
    some ordinal and nominal regression models (Weber, Glass, and Vehtari, 2025,
    <doi:10.1007/s00180-024-01506-0>), and for many other regression models
    (using the latent projection by Catalina, Bürkner, and Vehtari, 2021,
    <doi:10.48550/arXiv.2109.04702>, which can also be applied to most of the
    former models). The package is compatible with the 'rstanarm' and 'brms'
    packages, but other reference models can also be used. See the vignettes and
    the documentation for more information and examples.
License: GPL-3 | file LICENSE
URL: https://mc-stan.org/projpred/, https://discourse.mc-stan.org
BugReports: https://github.com/stan-dev/projpred/issues/
Depends: R (>= 3.6.0)
Imports: methods, utils, Rcpp, gtools, ggplot2, scales, rstantools (>=
        2.0.0), loo (>= 2.0.0), lme4 (>= 1.1-28), mvtnorm, mgcv, gamm4,
        abind, MASS, ordinal, nnet, mclogit, reformulas,
Suggests: ggrepel, ggfortify, rstanarm, brms, nlme, optimx, ucminf,
        parallel, foreach, iterators, doRNG, unix, testthat, vdiffr,
        knitr, rmarkdown, glmnet, cmdstanr, rlang, bayesplot (>=
        1.5.0), posterior, doParallel, future, future.callr, doFuture,
        progressr
LinkingTo: Rcpp, RcppArmadillo
Additional_repositories: https://stan-dev.r-universe.dev/
LazyData: TRUE
RoxygenNote: 7.3.3
VignetteBuilder: knitr, rmarkdown
NeedsCompilation: yes
Packaged: 2025-12-05 16:04:36 UTC; osvaldo
Author: Juho Piironen [aut],
  Markus Paasiniemi [aut],
  Alejandro Catalina [aut],
  Frank Weber [aut],
  Osvaldo Martin [cre, aut],
  Aki Vehtari [aut],
  Jonah Gabry [ctb],
  Marco Colombo [ctb],
  Paul-Christian Bürkner [ctb],
  Hamada S. Badr [ctb],
  Brian Sullivan [ctb],
  Sölvi Rögnvaldsson [ctb],
  The LME4 Authors [cph] (see file 'LICENSE' for details),
  Yann McLatchie [ctb],
  Juho Timonen [ctb]
Maintainer: Osvaldo Martin <aloctavodia@gmail.com>
Repository: CRAN
Date/Publication: 2025-12-06 13:30:02 UTC

=== debian/changelog ===
r-cran-projpred (2.10.0+dfsg-1) unstable; urgency=medium

  * Build-Depends: architecture-is-64-bit
    Closes: #1033371
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 16 Dec 2025 17:33:59 +0100

=== debian/control ===
Source: r-cran-projpred
Standards-Version: 4.7.2
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders:
 Andreas Tille <tille@debian.org>,
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-r,
 r-base-dev,
 r-cran-reformulas,
 architecture-is-64-bit,
 r-cran-rcpp,
 r-cran-gtools,
 r-cran-ggplot2,
 r-cran-scales,
 r-cran-rstantools,
 r-cran-loo,
 r-cran-lme4,
 r-cran-mvtnorm,
 r-cran-mgcv,
 r-cran-gamm4,
 r-cran-abind,
 r-cran-mass,
 r-cran-ordinal,
 r-cran-nnet,
 r-cran-mclogit,
 r-cran-rcpparmadillo,
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-projpred
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-projpred.git
Homepage: https://cran.r-project.org/package=projpred
Rules-Requires-Root: no

Package: r-cran-projpred
Architecture: any
Depends:
 ${R:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Recommends:
 ${R:Recommends},
Suggests:
 ${R:Suggests},
Description: GNU R projection predictive feature selection
 Performs projection predictive feature selection for generalized linear models
 (see, Piironen, Paasiniemi and Vehtari, 2018, <arXiv:1810.02406>).
 The package is compatible with the 'rstanarm' and 'brms' packages, but other
 reference models can also be used. See the package vignette for more
 information and examples.

=== debian/tests/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Tests: run-unit-test
 Depends: @,
          r-cran-ggrepel,
+        r-cran-ggfortify,
         r-cran-rstanarm,
         r-cran-brms,
         r-cran-nlme,
@@ -18,5 +19,6 @@
         r-cran-bayesplot (>= 1.5.0),
         r-cran-posterior,
         r-cran-doparallel,
-        r-cran-future
+        r-cran-future,
+        r-cran-progressr
 Restrictions: allow-stderr
